> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/prices/batch-create-prices-on-a-pricelist.md).

# BATCH Create prices on a pricelist.

Creates prices on a pricelist. One product in a pricelist can have one price with no toDate. This is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()

No prices for one product can overlap in time.

Items in:

* create : will be created. if fromDate is not set in request, current timestamp\
  will be set on price record
* update : will be updated.
* delete: will be deleted.
* upsert: will create or update if needed. if fromDate is not set in request, an update on current price will be executed.

The response http status is either:

* 200: all items in request was processed successfully,
* 207: one or more item was processed with an error.

Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PriceBatchRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceBatchRequestSchema"}}},"description":"Request for Batch Price"}},"schemas":{"PriceBatchRequestSchema":{"properties":{"create":{"items":{"$ref":"#/components/schemas/PriceCreateSchema"},"type":"array"},"delete":{"items":{"$ref":"#/components/schemas/PriceDeleteBatchSchema"},"type":"array"},"update":{"items":{"$ref":"#/components/schemas/PriceUpdateBatchSchema"},"type":"array"},"upsert":{"items":{"$ref":"#/components/schemas/PriceCreateSchema"},"type":"array"}},"title":"PriceBatchRequestSchema","type":"object"},"PriceCreateSchema":{"title":"PriceCreateSchema","type":"object","required":["price","productUid"],"properties":{"fromDate":{"format":"date-time","type":"string","description":"Optional. Will be set to current time if it is not in the request"},"toDate":{"format":"date-time","type":"string","description":"Optional. \nSet to null if not in request."},"price":{"type":"integer"},"productUid":{"$ref":"#/components/schemas/UID"},"priceUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PriceDeleteBatchSchema":{"properties":{"priceUid":{"$ref":"#/components/schemas/UID"}},"required":["priceUid"],"title":"PriceDeleteBatchSchema","type":"object"},"PriceUpdateBatchSchema":{"type":"object","title":"PriceUpdateBatchSchema","required":["fromDate","price","priceUid"],"properties":{"fromDate":{"format":"date-time","type":"string","description":"Optional. Will be set to current time if it is not in the request"},"toDate":{"format":"date-time","type":"string","description":"Optional. \nSet to null if not in request."},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"}}},"PriceBatchResponseSchema":{"properties":{"create":{"$ref":"#/components/schemas/BatchResponseItemProductSchema"},"delete":{"$ref":"#/components/schemas/PriceBatchResponseItemPriceSchema"},"update":{"$ref":"#/components/schemas/PriceBatchResponseItemPriceSchema"},"upsert":{"$ref":"#/components/schemas/BatchResponseItemProductSchema"}},"required":["create","upsert","update","delete"],"title":"PriceBatchResponseSchema","type":"object"},"BatchResponseItemProductSchema":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/BatchErrorProductSchema"},"type":"array"},"success":{"type":"integer"}},"required":["success","errors"],"title":"BatchResponseItemProductSchema","type":"object"},"BatchErrorProductSchema":{"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"}},"required":["productUid","errorCode","message"],"title":"BatchErrorProductSchema","type":"object"},"PriceBatchResponseItemPriceSchema":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/PriceBatchErrorPriceSchema"},"type":"array"},"success":{"type":"integer"}},"required":["success","errors"],"title":"PriceBatchResponseItemPriceSchema","type":"object"},"PriceBatchErrorPriceSchema":{"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"priceUid":{"$ref":"#/components/schemas/UID"}},"required":["priceUid","errorCode","message"],"title":"PriceBatchErrorPriceSchema","type":"object"}},"responses":{"PriceBatchResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceBatchResponseSchema"}}},"description":"Response for PriceBatchRequest.\n200: All items in request was processed with no errors\n207: One or more items in request returned an error"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/batch":{"post":{"description":"Creates prices on a pricelist. \nOne product in a pricelist can have one price with no toDate. \nThis is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()\n\nNo prices for one product can overlap in time.\n\nItems in:\n  - create :  will be created.\n              if fromDate is not set in request, current timestamp     \n              will be set on price record\n    \n  - update :  will be updated.\n  - delete:   will be deleted.\n  - upsert:   will create or update if needed.\n              if fromDate is not set in request, an update on \n              current price will be executed.\n\nThe response http status is either:\n - 200: all items in request was processed successfully, \n - 207: one or more item was processed with an error.\n\nRequired permissions: PRICELIST\n","operationId":"post-tenants-pricelists-prices-batch","requestBody":{"$ref":"#/components/requestBodies/PriceBatchRequest"},"responses":{"200":{"$ref":"#/components/responses/PriceBatchResponse"},"207":{"$ref":"#/components/responses/PriceBatchResponse"}},"summary":"BATCH Create prices on a pricelist.","tags":["Prices"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/prices/batch-create-prices-on-a-pricelist.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
